<?php


namespace App\Http\Controllers\Bookings;

use App\Classes\Modules\Bookings\ControllersLogic\UpdateBookingSalesInvoiceLogic;
use App\Classes\Modules\Bookings\ControllersLogic\UpdateBatchBookingSalesInvoiceLogic;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;


class UpdateBookingSalesInvoiceController
{
    /**
     * @param Request $request
     * @return JsonResponse
     */
    public function update(Request $request, UpdateBookingSalesInvoiceLogic $logic) : JsonResponse {
        return $logic->execute($request);
    }

    /**
     * @param Request $request
     * @return JsonResponse
     */
    public function updateBatch(Request $request, UpdateBatchBookingSalesInvoiceLogic $logic) : JsonResponse {
        return $logic->execute($request);
    }
}
